View Issue Details

IDProjectCategoryView StatusLast Update
0003865Slicer4Core: Base Codepublic2018-05-27 00:16
ReporterprashanthAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.3.1-2 
Target VersionFixed in VersionSlicer 4.8.1 
Summary0003865: Save does not work for DICOM images
Description

Hui Zhang <hzhang.online@outlook.com> and I successfully built Slicer 4.3.1-2014-10-02 r23735 on a 64-bit Windows 8.1 system using Qt 4.8.6 and Visual Studio 2012. There were no errors during the build process. We cannot load and display DICOM images but cannot save them.

Results from Hui Zhang's debugging:
The result of node->GetName() seems to be "1: Unknown",

if (snode->GetFileName() && node->GetName())
{

QFileInfo existingInfo(snode->GetFileName());

QFileInfo newInfo(existingInfo.absoluteDir(), QString(node->GetName() + QString(".") + existingInfo.completeSuffix()));

// Only reset the file name if the user has set the name explicitly (that is,

// if the name isn't the default created by qSlicerVolumesIOOptionsWidget::setFileNames

// TODO: this logic relies on the GUI so we should consider moving it into MRML proper

// with a way for storage nodes to generate their default node names from a given filename

if (existingInfo.completeBaseName() != QString(node->GetName()))

{

snode->SetFileName(newInfo.absoluteFilePath().toLatin1()); <<<< Exception here

node->StorableModified();

}

}

}

Additional Information

email response from Julien Finet <julien.finet@kitware.com> when Hui Zhang posted the above debugging output to the forum

It seems that the filename generation is not "fixing" the path and lets invalid characters (e.g. ":") in the filename.
It should probably use qSlicerFileNameItemDelegate::fixupFileName() at some point.

TagsNo tags attached.

Activities

lassoan

lassoan

2018-05-27 00:16

developer   ~0015750

DICOM images cannot be saved, but they can be exported.

Issue History

Date Modified Username Field Change
2014-10-03 14:18 prashanth New Issue
2014-10-03 14:18 prashanth Status new => assigned
2014-10-03 14:18 prashanth Assigned To => jcfr
2018-05-27 00:16 lassoan Status assigned => resolved
2018-05-27 00:16 lassoan Resolution open => fixed
2018-05-27 00:16 lassoan Fixed in Version => Slicer 4.8.1
2018-05-27 00:16 lassoan Note Added: 0015750